%global momorel 3

Summary: Snowball-Norwegian module for perl 
Name: perl-Snowball-Norwegian
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
#Source0: http://www.cpan.org/modules/by-module/Snowball/Snowball-Norwegian-%{version}.tar.gz
Source0: http://www.cpan.org/authors/id/A/AS/ASKSH/Snowball-Norwegian-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Snowball/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch

%description
Snowball-Norwegian module for perl

%prep
%setup -q -n Snowball-Norwegian-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -name 'stemmer.pl' | xargs rm -f
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Snowball-Norwegian-%{version}-filelist
if [ "$(cat Snowball-Norwegian-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Snowball-Norwegian-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2-2m)
- %%NoSource -> NoSource

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-3m)
- use vendor

* Sat Oct 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- delete conflict file stemmer.pl
  < http://ftp.iasi.roedu.net/mirrors/reb00t.com/SPECS/perl-Snowball-Norwegian.spec

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-1m)
- spec file was autogenerated
